package types

import (
	"gorm.io/gorm"
)

// BaseDbModel 数据库通用字段
type BaseDbModel struct {
	Id        int            `json:"id" gorm:"primarykey"`
	CreatedAt DateTime       `json:"createdAt"`
	UpdatedAt DateTime       `json:"updatedAt"`
	DeletedAt gorm.DeletedAt `json:"-" gorm:"index:deleted"`
}

type Model struct {
	CreatedAt DateTime       `json:"createdAt"`
	UpdatedAt DateTime       `json:"updatedAt"`
	DeletedAt gorm.DeletedAt `json:"-" gorm:"index:deleted"`
}
