package config

// 阿里云配置
type aliyunConfig struct {
	Sms aliSmsConfig `mapstructure:"sms" yaml:"sms"` // 短信配置
	Oss aliOssConfig `mapstructure:"oss" yaml:"oss"` // oss配置
}

// SmsConfig 阿里云短信配置
type aliSmsConfig struct {
	AccessKeyId     string `mapstructure:"access-key" yaml:"access-key"`
	AccessKeySecret string `mapstructure:"access-key-secret" yaml:"access-key-secret"`
}

// OSSConfig 阿里云OSS配置
type aliOssConfig struct {
	Endpoint        string `mapstructure:"endpoint" yaml:"endpoint"`
	Bucket          string `mapstructure:"bucket" yaml:"bucket"`
	AccessKeyId     string `mapstructure:"access-key" yaml:"access-key"`
	AccessKeySecret string `mapstructure:"access-key-secret" yaml:"access-key-secret"`
}
