package param

import (
	"Lee-WineList/common/constant"
)

// BindingWeChat 绑定微信
type BindingWeChat struct {
	Code string `json:"code" form:"code" binding:"required"` // 微信code
}

//GetUserList 获取普通用户
type GetUserList struct {
	page
	Phone   string `json:"phone" form:"phone"`                                     // 手机号
	Status  string `json:"status" form:"status" binding:"oneof='' NORMAL DISABLE"` // 用户状态
	StartAt string `json:"startAt" form:"startAt"`                                 // 开始时间
	EndAt   string `json:"endAt" form:"endAt"`                                     // 结束时间
	Name    string `json:"name" form:"name"`                                       //用户名
}

// ChangeUserInfo 修改普通用户信息
type ChangeUserInfo struct {
	Nickname string           `json:"nickname" form:"nickname"` // 昵称
	Avatar   string           `json:"avatar" form:"avatar"`     // 头像
	Sex      constant.UserSex `json:"sex" form:"sex"`           // 性别
}

// ChangePassword 修改密码
type ChangePassword struct {
	OldPassword     string `json:"oldPassword" form:"oldPassword" binding:"required"`                           // 旧密码
	NewPassword     string `json:"newPassword" form:"oldPassword" binding:"required"`                           // 新密码
	ConfirmPassword string `json:"confirmPassword" form:"oldPassword" binding:"required,eqcsfield=NewPassword"` // 确认新密码
}

// SaveUser 保存用户信息
type SaveUser struct {
	Id       string              `json:"id" form:"id"`             // 用户ID
	Username string              `json:"username" form:"username"` // 用户名
	Nickname string              `json:"nickname" form:"nickname"` // 昵称
	Password string              `json:"password" form:"password"` // 密码
	Phone    string              `json:"phone" form:"phone"`
	Status   constant.UserStatus `json:"status" form:"status" binding:"oneof=NORMAL DISABLE"` // 用户状态
}

// GetLikeWineList 获取酒列表
type GetLikeWineList struct {
	page
	UserId int `json:"userId" form:"userId" binding:"required"` // 用户ID
}

type DeleteLikeWine struct {
	LikeWineId int `json:"likeWineId" form:"likeWineId" binding:"required"`
}
